Bug 493733 - radeon+KMS VT switch fails
radeon+KMS VT switch fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 17:09 EDT by Maciej Grela
Modified: 2009-11-07 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-07 18:00:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Display when trying to switch VT. (3.95 MB, image/jpeg)
2009-04-02 17:09 EDT, Maciej Grela
no flags Details
Xorg log after trying to switch VT (44.50 KB, text/plain)
2009-04-02 17:11 EDT, Maciej Grela
no flags Details
dmesg after trying to switch to VT. (44.50 KB, text/plain)
2009-04-02 17:11 EDT, Maciej Grela
no flags Details

  None (edit)
Description Maciej Grela 2009-04-02 17:09:41 EDT
Created attachment 337926 [details]
Display when trying to switch VT.

Description of problem:
http://fedoraproject.org/wiki/QA:Testcase_radeon_vt

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.i586


How reproducible:
always

Steps to Reproduce:
Execute the VT switch testcase for Radeon Test Day ISO image.
  
Actual results:
The screen shows garbage, shown on Photo 1. When switched back to xorg it works fine. The same garbage is show when trying to switch to the console again.

VT switch works correctly with the 'nomodeset' kernel option.

Expected results:
The xorg should switch to the console.

Additional info:
Comment 1 Maciej Grela 2009-04-02 17:11:30 EDT
Created attachment 337927 [details]
Xorg log after trying to switch VT
Comment 2 Maciej Grela 2009-04-02 17:11:59 EDT
Created attachment 337928 [details]
dmesg after trying to switch to VT.
Comment 3 François Cami 2009-04-06 18:44:08 EDT
Thanks for the complete bug report, switching to ASSIGNED.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Dave Airlie 2009-04-14 23:08:53 EDT
Does this still happen with latest rawhide, kernel/libdrm/-ati combination?
Comment 5 Maciej Grela 2009-04-16 14:35:45 EDT
How can I make a livecd or usb stick with the newest versions of the kernel, xorg driver, server and other stuff ? I don't use fedora daily and booting the old radeon test day livecd won't work because I need to change the kernel.

Best regards,
Maciej Grela
Comment 6 Bug Zapper 2009-06-09 09:08:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:25:00 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Maciej Grela 2009-11-05 14:16:03 EST
Works for me in the nightly compose.
Comment 9 Matěj Cepl 2009-11-07 18:00:19 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.